missing libopencv_core.so.4.1

When I have tried to install nomacs with follow command :

zypper in nomacs

I have received issue with following text :

Problem: nothing provides libopencv_core.so.4.1()(64bit) needed by nomacs-3.12-2.2.x86_64 Solution 1: без инсталиране на nomacs-3.12-2.2.x86_64
 Solution 2: break nomacs-3.12-2.2.x86_64 by ignoring some of its dependencies

How can I fix this issue?

Hi
Patience… looks like nomacs needs to rebuild against the new opencv version 4.2.0

It’s currently failing to build in Factory and development project;
https://build.opensuse.org/package/show/openSUSE%3AFactory/nomacs
https://build.opensuse.org/package/show/graphics/nomacs

Building of nomacs is failing and I think, you try to install an older nomacs (earlier build) which is build against libs not any more in Tumbleweed.
https://build.opensuse.org/package/show/openSUSE%3AFactory/nomacs

nomacs from Nov 2019 and opencv4 from Jan 2020.

rpm -qlp https://download.opensuse.org/tumbleweed/repo/oss/x86_64/libopencv4_2-4.2.0-3.1.x86_64.rpm | grep -i libopencv_core
/usr/lib64/libopencv_core.so.4.2
/usr/lib64/libopencv_core.so.4.2.0

You can try to locate the package you need.
I wrote the following Wiki page that describes what can be tried.
If you still can’t find what you’re looking for and someone can try to locate the package.

https://en.opensuse.org/User:Tsu2/Missing_Files_Dependencies

TSU

Hi
The package the user wants is not building/broken, that’s the problem, all the dependencies are fine…

Interesting then that the error is “nothing provides…” which generally means missing code and not broken code…
Could be then that the configuration has changed that the code isn’t being found?

TSU

Hi
No, opencv updated to 4.2, with this update it looks like it broke noemacs, so the maintainers need to fix. At this time the noemacs version in Tumbleweed still wants opencv 4.1 and can no longer provided since it’s now in Tumbleweed. This tends to happen with packages out on the branches…